<?php
include_once( 'config.inc.php' );
include_once( 'global.inc.php' );
?>
<!DOCTYPE html>
<!--[if lt IE 7]>
<html class="no-js lt-ie9 lt-ie8 lt-ie7"> <![endif]-->
<!--[if IE 7]>
<html class="no-js lt-ie9 lt-ie8"> <![endif]-->
<!--[if IE 8]>
<html class="no-js lt-ie9"> <![endif]-->
<!--[if gt IE 8]><!-->
<html class="no-js"> <!--<![endif]-->
<head>
	<meta charset="utf-8" />
	<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />
	<title><?php echo TITLE; ?></title>
	<meta name="description" content="" />
	<meta name="viewport" content="width=550,user-scalable=no" />
	<meta name="apple-mobile-web-app-capable" content="yes" />
	<link href="css/bootstrap.css" rel="stylesheet" />
	<link href="css/bootstrap-responsive.css" rel="stylesheet" />
	<link rel="stylesheet" href="css/main.min.css" />
	<script src="js/vendor/modernizr-2.6.2-respond-1.1.0.min.js"></script>
	<!--[if lt IE 9]>
	<script src="js/vendor/html5shiv.js"></script>
	<![endif]-->
	<link rel="apple-touch-icon-precomposed" sizes="144x144" href="apple-touch-icon-144x144-precomposed.png" />
	<link rel="apple-touch-icon-precomposed" sizes="114x114" href="apple-touch-icon-114x114-precomposed.png" />
	<link rel="apple-touch-icon-precomposed" sizes="72x72" href="apple-touch-icon-72x72-precomposed.png" />
	<link rel="apple-touch-icon-precomposed" href="apple-touch-icon-57x57-precomposed.png" />
	<link rel="shortcut icon" href="favicon.ico" />
</head>
<body>

<!--[if lt IE 7]>
<p class="chromeframe">You are using an <strong>outdated</strong> browser. Please
	<a href="http://browsehappy.com/">upgrade your browser</a> or
	<a href="http://www.google.com/chromeframe/?redirect=true">activate Google Chrome Frame</a> to improve your experience.
</p>
<![endif]-->

<div class="container">

	<div class="navbar navbar-inverse navbar-fixed-top">
		<div class="navbar-inner">
			<div class="container-fluid">
				<button type="button" class="btn btn-navbar" data-toggle="collapse" data-target=".nav-collapse">
					<span class="icon-bar"></span>
					<span class="icon-bar"></span>
					<span class="icon-bar"></span>
				</button>
				<a class="brand" href="index.php"><img src="img/logo.png" /></a>

				<div class="nav-collapse collapse">
					<ul class="nav">
						<li><a href="index.php">Home</a></li>
						<li class="active"><a href="#">About</a></li>
						<li><a href="contact.php">Contact</a></li>
					</ul>
				</div>
			</div>
		</div>
	</div>

	<div class="container-fluid">
		<div class="row-fluid">

			<div class="hero-unit">
				<!--GitHub ribbon start-->
				<a href="https://github.com/potsky/ScanAsYouType"><img id="github" src="https://s3.amazonaws.com/github/ribbons/forkme_right_gray_6d6d6d.png" alt="Fork me on GitHub" /></a>
				<!--GitHub ribbon end-->

				<h1>Scan <span class="big">A</span>s <span class="big">Y</span>ou <span class="big">T</span>ype</h1>
				<br /><br />

				<p>Scan as you type is a service which generates an image that your customers use as a badge to authenticate to your custom services or famous services as GMail, Evernote, Readibility, ... You can use it for your own entreprise services or what you want. </p>

				<h2>Security, all over the place</h2>

				<p>
					We take security seriously and take numerous measures to make sure your data is fully protected.
					All your data is encrypted and all your private information is never stored anywhere. Access to your information is restricted and stored in your badges, so no one other than you can connectto your servics, not even us. All communication channels between the web site and you are encrypted via HTTPS.
					In addition, we use advanced encryption to store your informations in a badge with the industry-strong AES 256-bits encryption algorithms.
					You can fork this web site, install on your own servers and change the AES 256-bits passphrase in the
					<code>config.inc.php</code> configuration file.
				</p>
				<hr />
				<h2>Using this service with PHP</h2>

				<p>You simply have to decrypt the badge with the AES-256 bits pass phrase.
					You can use the
					<a href="https://github.com/ivantcholakov/gibberish-aes-php">Gibberish AES PHP library</a> to avoid messing with AES passphrase, cipher, IV and more...
					<pre>
include_once( 'lib/GibberishAES.php' );
$aes_passphrase = "thisismysupersecretkey";
$qrcode_encrypt = "U2FsdGVkX1+Wmb0J68CGkaXuzKmH0+udo4yR/W+HJ2AqLGufmSoW+RN1gByCd8d8CYCRz05aTYWUZdWea8Ciuw==";
echo GibberishAES::dec( $qrcode_encrypt , $aes_passphrase );
					</pre>
				This code will display : <code>GM 1370894400 potsky don'tyouknow?</code>
				</p>
				<hr />
				<h2>Using this service with Javascript</h2>

				<p>You simply have to decrypt the badge with the AES-256 bits pass phrase.
					You can use the
					<a href="https://github.com/ivantcholakov/gibberish-aes">Gibberish AES JS library</a> to avoid messing with AES passphrase, cipher, IV and more...
					<pre>
&lt;script type="text/javascript" src="js/gibberish-aes-1.0.0.min.js">&lt;/script>
&lt;script>
	var aes_passphrase = "thisismysupersecretkey";
	var qrcode_encrypt = "U2FsdGVkX1+Wmb0J68CGkaXuzKmH0+udo4yR/W+HJ2AqLGufmSoW+RN1gByCd8d8CYCRz05aTYWUZdWea8Ciuw==";
	console.log( GibberishAES.dec( qrcode_encrypt , aes_passphrase ));
					</pre>
				This code will display in your web console : <code>GM 1370894400 potsky don'tyouknow?</code>
				</p>
				<hr />
				<h2>Using this service with Script Shell</h2>

				<p>You simply have to decrypt the badge with the AES-256 bits pass phrase.
					You can use openssl but split the number of chars by line for long messages.
					<pre>
cat "U2FsdGVkX1/RM3e5kpijnCixB8Rv5J0r
rNHlFmgmWSHkgNi4lYcuEci48HG++uIc
2e4ITReK4jggux+DPs2tAg==" > data
openssl enc -d -aes-256-cbc -a -k thisismysupersecretkey -in data
					</pre>
				This code will display in your terminal : <code>GM 1370894400 potsky don'tyouknow?</code>
				</p>
				<hr />
				<h2>Decoding the decrypted message</h2>

				<p>
					The decoded message is the concatenation of these elements :
				<ul>
					<li><code>Service Initials</code></li>
					<li><code>SPACE</code></li>
					<li><code>UTC Epoch time stamp when this badge is invalid</code></li>
					<li><code>SPACE</code></li>
					<li><code>Login</code></li>
					<li><code>SPACE</code></li>
					<li><code>Password</code></li>
				</ul>
				<br />
				Available services are :
				<table class="table table-bordered table-hover table-condensed table-striped">
					<tr>
						<th>Service</th>
						<th>Code</th>
						<th>Name</th>
					</tr>
					<?php foreach ( $services as $service => $data ) {
						echo '<tr><td><img src="img/services/' . $data[ 'icon' ] . '_on.png" style="height:25%;"/></td><td>' . $service . '</td><td>' . $data[ 'name' ] . '</td></tr>';
					}
					?>
				</table>
			</div>
		</div>

		<hr />

		<footer>
			<p><?php echo COPYRIGHT; ?></p>
		</footer>

	</div>

</div>

<script src="//ajax.googleapis.com/ajax/libs/jquery/1.9.1/jquery.min.js"></script>
<script>window.jQuery || document.write( '<script src="js/vendor/jquery-1.9.1.min.js"><\/script>' )</script>
<script src="js/vendor/bootstrap.min.js"></script>
<script>
	window.addEventListener( "load" , function () {
		setTimeout( function () {
			window.scrollTo( 0 , 1 );
		} , 0 );
	} );
</script>
</body>
</html>
