<?php
if (!file_exists('config.inc.php')) {
	die('Application is not installed. Copy config.sample.inc.php to config.inc.php and edit this file.');
}
include_once( 'config.inc.php' );
include_once( 'global.inc.php' );

?>
<!DOCTYPE html>
<!--[if lt IE 7]>
<html class="no-js lt-ie9 lt-ie8 lt-ie7"> <![endif]-->
<!--[if IE 7]>
<html class="no-js lt-ie9 lt-ie8"> <![endif]-->
<!--[if IE 8]>
<html class="no-js lt-ie9"> <![endif]-->
<!--[if gt IE 8]><!-->
<html class="no-js"> <!--<![endif]-->
<head>
	<meta charset="utf-8" />
	<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />
	<meta name="description" content="" />
	<meta name="viewport" content="width=550,user-scalable=no" />
	<meta name="apple-mobile-web-app-capable" content="yes" />
	<title><?php echo TITLE; ?></title>
	<link rel="apple-touch-icon-precomposed" sizes="144x144" href="apple-touch-icon-144x144-precomposed.png" />
	<link rel="apple-touch-icon-precomposed" sizes="114x114" href="apple-touch-icon-114x114-precomposed.png" />
	<link rel="apple-touch-icon-precomposed" sizes="72x72" href="apple-touch-icon-72x72-precomposed.png" />
	<link rel="apple-touch-icon-precomposed" href="apple-touch-icon-57x57-precomposed.png" />
	<link rel="shortcut icon" href="favicon.ico" />
	<link href="css/bootstrap.css" rel="stylesheet" />
	<link href="css/bootstrap-responsive.css" rel="stylesheet" />
	<link rel="stylesheet" href="css/main.min.css" />
	<script src="js/vendor/modernizr-2.6.2-respond-1.1.0.min.js"></script>
	<script src="js/vendor/fastclick.js"></script>

	<!-- HTML5 shim, for IE6-8 support of HTML5 elements -->
	<!--[if lt IE 9]>
	<script src="js/vendor/html5shiv.js"></script>
	<![endif]-->
	<script>
		var services = <?php echo json_encode($services); ?>;
	</script>
</head>
<body>

<!--[if lt IE 7]>
<p class="chromeframe">You are using an <strong>outdated</strong> browser. Please
	<a href="http://browsehappy.com/">upgrade your browser</a> or
	<a href="http://www.google.com/chromeframe/?redirect=true">activate Google Chrome Frame</a> to improve your experience.
</p>
<![endif]-->

<div class="container">

	<div class="navbar navbar-inverse navbar-fixed-top">
		<div class="navbar-inner">
			<div class="container-fluid">
				<button type="button" class="btn btn-navbar" data-toggle="collapse" data-target=".nav-collapse">
					<span class="icon-bar"></span>
					<span class="icon-bar"></span>
					<span class="icon-bar"></span>
				</button>
				<a class="brand" href="index.php"><img src="img/logo.png" /></a>

				<div class="nav-collapse collapse">
					<ul class="nav">
						<li class="active"><a href="#">Home</a></li>
						<li><a href="about.php">About</a></li>
						<li><a href="contact.php">Contact</a></li>
					</ul>
				</div>
			</div>
		</div>
	</div>

	<div class="container-fluid">
		<div class="row-fluid">
			<div id="menu" class="span3">
				<div class="well sidebar-nav" data-spy="affix">
					<ul class="nav nav-list">
						<li class="nav-header">Generate a badge</li>
						<li><a href="#sayt1">1 Choose a service</a></li>
						<li><a href="#sayt2">2 Set your login</a></li>
						<li><a href="#sayt3">3 Set your password</a></li>
						<li><a href="#sayt4">4 Set self-destruction</a></li>
						<li><a href="#sayt5">5 Save your badge</a></li>
					</ul>
				</div>
			</div>

			<div id="main" class="span9">
				<div id="sayt1" class="sayt">
					<div class="hero-unit">
						<h1>1 Service <i id="sayt1name"></i></h1>
						<br />
						<h4>Select a service to connect to</h4>

						<p id="sayt1inner"></p>
					</div>
				</div>

				<div id="sayt2" class="sayt">
					<div class="hero-unit">
						<h1>2 Login</h1>
						<br />

						<h4 class="hserc" style="display:none">Fill login for <span class="hser"></span></h4>

						<p>
							<input type="text" id="login" class="input-xxlarge" required="required" autocapitalize="off" autocorrect="off" />
						</p>
					</div>
				</div>

				<div id="sayt3" class="sayt">
					<div class="hero-unit">
						<h1>3 Password</h1>
						<br />

						<h4 class="hserc" style="display:none">Fill password for <span class="hser"></span></h4>

						<p>
							<input type="password" id="pass" class="input-xxlarge" required="required" autocapitalize="off" autocorrect="off" />
						</p>
					</div>
				</div>

				<div id="sayt4" class="sayt">
					<div class="hero-unit">
						<h1>4 Self-destruction</h1>
						<br />

						<h4>This badge will self-destruct</h4>

						<div class="btn-group btn-group-vertical" data-toggle="buttons-radio">
							<button type="button" id="sdn" class="btn-large selfd btn btn-success active">Never</button>
							<button type="button" id="sdh" class="btn-large selfd btn">In 1 hour</button>
							<button type="button" id="sdd" class="btn-large selfd btn">At midnight</button>
							<button type="button" id="sdw" class="btn-large selfd btn">On sunday at midnight</button>
						</div>
					</div>
				</div>

				<div id="sayt5" class="sayt">
					<div class="hero-unit">
						<h1>5 Save</h1>
						<br />

						<div id="savenok">
							<h4>Fill all requested informations above to generate a badge</h4>
						</div>
						<div id="saveok">
							<h4>Save the badge below</h4>

							<div id="badge"></div>
							<br /><br />
							<h4>
								<a href="#myModal" role="button" class="btn btn-large btn-primary" data-toggle="modal"><i class="icon-envelope"></i> Send by email</a>
							</h4>
						</div>
					</div>
				</div>
			</div>
		</div>

		<div id="myModal" class="modal hide fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
				<h3 id="myModalLabel">Send this badge by email</h3>
			</div>
			<div class="modal-body">
				<div id="emailerror" class="alert alert-error hide">
					<strong>Warning!</strong> This email address is not valid.
				</div>
				<h4>Fill the recipient email address</h4>
				<input type="email" id="email" class="input-xxlarge" required="required" autocapitalize="off" autocorrect="off" />
			</div>
			<div class="modal-footer">
				<button class="btn btn-large" data-dismiss="modal" aria-hidden="true">Close</button>
				<button class="btn btn-large btn-primary" id="emailsave" data-loading-text="Sending...">
					<i class="icon-envelope"></i> Send
				</button>
			</div>
		</div>

		<hr />

		<footer>
			<p><?php echo COPYRIGHT; ?></p>
		</footer>

	</div>
</div>

<script src="//ajax.googleapis.com/ajax/libs/jquery/1.9.1/jquery.min.js"></script>
<script>window.jQuery || document.write( '<script src="js/vendor/jquery-1.9.1.min.js"><\/script>' )</script>
<script src="js/vendor/bootstrap.min.js"></script>
<script src="js/index.min.js"></script>
<script>
	window.addEventListener( "load" , function () {
		setTimeout( function () {
			window.scrollTo( 0 , 1 );
		} , 0 );
	} );
</script>
</body>
</html>
