var uservice, ulogin, upass;
var uselfd = 'sdn';
var selfdclass = {
	'sdn' : 'btn-success' ,
	'sdh' : 'btn-warning' ,
	'sdd' : 'btn-danger' ,
	'sdw' : 'btn-inverse'
};


$( document ).ready( function () {

	$( function () {
		FastClick.attach( document.body );
	} );

	$( '#email' ).keypress( function ( event ) {
		var keycode = (event.keyCode ? event.keyCode : event.which);
		if ( keycode == '13' ) $( '#emailsave' ).trigger( 'click' );
	} );

	$( '#emailsave' ).click( function () {
		var email = $( '#email' ).val();
		if ( ( ! isValidEmailAddress( email ) ) || (email == '') ) {
			$( '#emailerror' ).show();
		}
		else {
			$( '#emailerror' ).hide();
			$( '#emailsave' ).button( 'loading' );
			$.post( 'sendbadgebyemail.php' , {
				e : email ,
				s : uservice ,
				l : ulogin ,
				p : upass ,
				d : uselfd ,
				w : $( window ).width() ,
				h : $( window ).height()
			} ,function () {
				$( '#emailsave' ).button( 'reset' );
				$( '#myModal' ).modal( 'hide' );
			} ).fail( function () {
					$( '#emailsave' ).button( 'reset' );
				} );
		}
	} );

	for ( service in services ) {
		$( '<div class="service" id="' + service + '" style="background-image: url(img/services/' + services[service].icon + '.png)"></div>' ).appendTo( '#sayt1inner' ).click( function () {
			$( '#sayt1inner .service' ).removeClass( 'selected' );
			$( this ).addClass( 'selected' );
			uservice = $( this ).attr( "id" );

			$( ".hserc" ).show();
			$( ".hser" ).html( services[uservice].name );

			generate_badge();
			document.location.href = "#sayt2";
			$( "#login" ).focus();
		} );
	}

	$( "#login" ).change( function () {
		ulogin = $( "#login" ).val();
		generate_badge();
		document.location.href = "#sayt3";
		$( "#pass" ).focus();
	} );

	$( "#pass" ).change( function () {
		upass = $( "#pass" ).val();
		generate_badge();
		document.location.href = "#sayt4";
	} );

	$( "button.selfd" ).click( function () {
		uselfd = $( this ).attr( "id" );
		$( ".selfd" ).removeClass( "btn-success" ).removeClass( "btn-warning" ).removeClass( "btn-danger" ).removeClass( "btn-inverse" );
		if ( selfdclass[uselfd] !== undefined ) {
			$( this ).addClass( selfdclass[uselfd] );
		}
		generate_badge();
		document.location.href = "#sayt5";
	} );

	$( '#myModal' ).on( 'shown' , function () {
		$( '#email' ).focus();
	} );

	$( '#saveok' ).hide();

} );

$( window ).resize( function () {
	if ( $( window ).width() < 980 ) {
		$( "#menu" ).removeClass( "span3" );
		$( "#main" ).removeClass( "span9" );
		$( "#menu" ).hide();
		$( "#main" ).addClass( "span12" );
	}
	else {
		$( "#main" ).removeClass( "span12" );
		$( "#main" ).addClass( "span9" );
		$( "#menu" ).addClass( "span3" );
		$( "#menu" ).show();
	}
} );

var generate_badge = function () {
	if ( ulogin === undefined ) {
		ulogin = '';
	}
	if ( upass === undefined ) {
		upass = '';
	}
	if ( (uservice !== undefined ) && (uselfd != undefined ) ) {
		$( "#badge" ).html( '<img src="' + 'png.php?s=' + encodeURIComponent( uservice ) + '&l=' + encodeURIComponent( ulogin ) + '&p=' + encodeURIComponent( upass ) + '&d=' + encodeURIComponent( uselfd ) + '&w=' + $( window ).width() + '&h=' + $( window ).height() + '"/>' );
		$( '#saveok' ).show();
		$( '#savenok' ).hide();
	}
	else {
		$( '#saveok' ).hide();
		$( '#savenok' ).show();

	}
};

var isValidEmailAddress = function ( emailAddress ) {
	var pattern = new RegExp( /^((([a-z]|\d|[!#\$%&'\*\+\-\/=\?\^_`{\|}~]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])+(\.([a-z]|\d|[!#\$%&'\*\+\-\/=\?\^_`{\|}~]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])+)*)|((\x22)((((\x20|\x09)*(\x0d\x0a))?(\x20|\x09)+)?(([\x01-\x08\x0b\x0c\x0e-\x1f\x7f]|\x21|[\x23-\x5b]|[\x5d-\x7e]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(\\([\x01-\x09\x0b\x0c\x0d-\x7f]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF]))))*(((\x20|\x09)*(\x0d\x0a))?(\x20|\x09)+)?(\x22)))@((([a-z]|\d|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(([a-z]|\d|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])([a-z]|\d|-|\.|_|~|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])*([a-z]|\d|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])))\.)+(([a-z]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(([a-z]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])([a-z]|\d|-|\.|_|~|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])*([a-z]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])))\.?$/i );
	return pattern.test( emailAddress );
};

