<?php
header( "Content-type: image/png" );

include_once( 'config.inc.php' );
include_once( 'global.inc.php' );
include_once( 'lib/phpqrcode/qrlib.php' );
include_once( 'lib/GibberishAES.php' );

$service  = $_GET[ 's' ];
$login    = $_GET[ 'l' ];
$pass     = $_GET[ 'p' ];
$destruct = $_GET[ 'd' ];

switch ( $destruct ) {
	case 'sdh':
		$destruct = (int) date( "U" ) - date( 'Z' ) + 60 * 60;
		break;
	case 'sdd':
		$destruct = strtotime( "tomorrow midnight" ) - date( 'Z' );
		break;
	case 'sdw':
		$destruct = strtotime( "sunday midnight" ) - date( 'Z' );
		break;
	default:
		$destruct = 0;
		break;

}

/*
$width  = ( isset( $_GET[ 'w' ] ) ) ? (int) $_GET[ 'w' ] : 640;
$height = ( isset( $_GET[ 'h' ] ) ) ? (int) $_GET[ 'h' ] : 960;
if ( $width > $height ) {
	$tmp    = $width;
	$width  = $height;
	$height = $tmp;
}
$ratio  = 640 / $width;
$width  = 640;
$height = (int) min( max( 920 , $ratio * $height ) , 1200);
*/
$width     = 640;
$height    = 960;
$text      = $service . ' ' . $destruct . ' ' . $login . ' ' . $pass;
$sayt_txt  = GibberishAES::enc( $text , AES_PASS );
$sayt_img  = SAYT_IMG_DIR . '/' . sha1( $sayt_txt ) . '.png';
$serviceh  = ( array_key_exists( $service , $services ) ) ? $services[ $service ][ 'name' ] : $service;
$servicei  = ( array_key_exists( $service , $services ) ) ? $services[ $service ][ 'icon' ] : '';
$interline = 60 * $width / 640;
$font_size = 50 * $width / 640;
$hoffset   = 25 * $width / 640;

QRcode::png( $sayt_txt , $sayt_img , 'L' , 40 , 2 );

try {
	// Image -> Init
	$image = new Imagick();
	$draw  = new ImagickDraw();
	$pixel = new ImagickPixel( 'white' );
	$image->newImage( $width , $height , $pixel );

	// Logo -> Scale and add
	$logo = new Imagick( 'img/logoimg.png' );
	$logo->scaleImage( $width , $width , true );
	$voffset = $logo->getimageheight();
	$image->compositeImage( $logo , imagick::COMPOSITE_COPY , 0 , 0 );

	// Text
	$draw->setFont( 'Arial' );
	$draw->setFontSize( $font_size );
	$draw->setFillColor( 'gray' );
	if ( $servicei == '' ) {
		$image->annotateImage( $draw , $hoffset , $voffset + $interline , 0 , $serviceh );
		$image->annotateImage( $draw , $hoffset , $voffset + $interline * 2 , 0 , $login );
	} else {
		$icon      = new Imagick( 'img/services/' . $servicei . '_on.png' );
		$icon_size = 110 * $width / 640;
		$icon->scaleImage( $icon_size , $icon_size , true );
		$image->compositeImage( $icon , Imagick::COMPOSITE_DEFAULT , $hoffset , $voffset + $hoffset );
		$image->annotateImage( $draw , 2 * $hoffset + $icon_size , $voffset + $interline , 0 , $serviceh );
		$image->annotateImage( $draw , 2 * $hoffset + $icon_size , $voffset + $interline * 2 , 0 , $login );
	}

	// QRCode -> Scale
	$qr = new Imagick( $sayt_img );
	$qr->scaleImage( $width , $width , true );
	$image->compositeImage( $qr , imagick::COMPOSITE_COPY , 0 , $height - $width );

	// Image -> Send
	$image->setImageFormat( 'png' );
	header( 'Content-type: image/png' );
	echo $image;
} catch ( Exception $e ) {
	error_log( $e->getMessage() );
}

unlink( $sayt_img );

